## openvswitch 1.4.3

=== debian/changelog ===
openvswitch (1.4.3-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1057098).
  * Dropped Debian patches:
    - debian/patches/debian-changes-1.4.2+git20120612-6
    - debian/patches/bug-681955-ovs-ctl-Start-the-rest-of-Open-vSwitch.patch
    - debian/patches/bug-684057-ovs-ctl-Add-support-for-newer-module-name.patch
    - debian/patches/debian-changes-1.4.2+git20120612-9
  * Dropped Ubuntu patches:
    - debian/patches/lp1044318-Reset-upper-layer-protocol-info.patch
  * Remaining changes:
    - debian/rules, debian/control: Enable hardening wrapper.
    - debian/control: Disable openvswitch-datapath-dkms package.

 -- Adam Gandelman <adamg@canonical.com>  Mon, 24 Sep 2012 14:55:07 -0700

openvswitch (1.4.2+git20120612-9ubuntu3) quantal; urgency=low

  * debian/patches/lp1044318-Reset-upper-layer-protocol-info.patch: Cherry
    picked upstream patch to avoid critical issues with SNAT/DNAT when OVS
    is chained with other Linux components. May be dropped with 1.4.3 upload.
    (LP: #1044318)

 -- Adam Gandelman <adamg@canonical.com>  Fri, 07 Sep 2012 12:12:03 -0700

openvswitch (1.4.2+git20120612-9ubuntu2) quantal; urgency=low

  * debian/rules, debian/control: Enable hardening wrapper.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Aug 2012 19:39:58 -0500

openvswitch (1.4.2+git20120612-9ubuntu1) quantal; urgency=low

  * Merge from Debian unstable; remaining changes:
    - d/control: Disable openvswitch-datapath-dkms package.
  * Dropped changes:
    - d/patches/kernel_3.5_support.patch: Superceded by 
      bug-684057-ovs-ctl-Add-support-for-newer-module-name.patch

 -- James Page <james.page@ubuntu.com>  Tue, 07 Aug 2012 16:00:53 +0100

openvswitch (1.4.2+git20120612-4ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Disable openvswitch-datapath-dkms package.
    - d/patches/kernel_3.5_support.patch: Fix openvswitch-switch startup
      with 3.5 kernel module name, allowing use of openvswitch without
      openvswitch-datapath-dkms.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Jul 2012 08:51:47 +0100

openvswitch (1.4.2+git20120612-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Disable openvswitch-datapath-dkms package.
    - d/patches/kernel_3.5_support.patch: Fix openvswitch-switch startup
      with 3.5 kernel module name, allowing use of openvswitch without
      openvswitch-datapath-dkms.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Jul 2012 14:48:43 +0100

openvswitch (1.4.2+git20120612-2ubuntu2) quantal; urgency=low

  * Disable openvswitch-datapath-dkms package (LP: #1018265); it's not
    compatible with the 3.5 kernel (which provides the openvswitch module)
    and if users really required the brcompat module and are using an older
    kernel then they can use openvswitch-datapath-source.

 -- James Page <james.page@ubuntu.com>  Wed, 11 Jul 2012 13:00:58 +0100

openvswitch (1.4.2+git20120612-2ubuntu1) quantal; urgency=low

  * Fix openvswitch-switch startup with 3.5 kernel module name, allowing
    use of openvswitch without openvswitch-datapath-dkms (LP: #1021078):
    - d/patches/kernel_3.5_support.patch: Cherry picked patch from upstream
      VCS to align module naming with openvswitch module in 3.5 kernel.

 -- James Page <james.page@ubuntu.com>  Mon, 09 Jul 2012 22:01:41 +0100
