=== debian/control ===
Source: openvswitch
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
Uploaders: Ben Pfaff <pfaffben@debian.org>, Simon Horman <horms@debian.org>
Build-Depends:
 debhelper (>= 8), autoconf (>= 2.64), automake (>= 1.10) | automake1.10, 
 libssl-dev, pkg-config (>= 0.21), bzip2, openssl,
 python-all (>= 2.6.6-3~), procps, python-qt4,
 python-zopeinterface, python-twisted-conch, hardening-wrapper
Standards-Version: 3.9.3
Homepage: http://openvswitch.org/

Package: openvswitch-datapath-source
Architecture: all
Depends: module-assistant, bzip2, debhelper (>= 5.0.37), ${misc:Depends}
Suggests: openvswitch-switch
Description: Open vSwitch datapath module source - module-assistant version
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 This package provides the Open vSwitch datapath module source code
 that is needed by openvswitch-switch.  The kernel module can be built
 from it using module-assistant or make-kpkg.  README.Debian in this
 package provides further instructions.

#Package: openvswitch-datapath-dkms
#Architecture: all
#Depends: dkms (>= 1.95), make, libc6-dev, ${misc:Depends}, ${python:Depends}
#Description: Open vSwitch datapath module source - DKMS version
# Open vSwitch is a production quality, multilayer, software-based, Ethernet
# virtual switch. It is designed to enable massive network automation through
# programmatic extension, while still supporting standard management interfaces
# and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
# addition, it is designed to support distribution across multiple physical
# servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
# 1000V.
# .
# This package provides the Open vSwitch datapath module source code
# that is needed by openvswitch-switch.  DKMS can built the kernel
# module from it.

Package: openvswitch-common
Architecture: linux-any
Depends:
 ${shlibs:Depends}, openssl, ${misc:Depends}, python,
 python (>= 2.7) | python-argparse
Suggests: ethtool
Description: Open vSwitch common components
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 openvswitch-common provides components required by both openvswitch-switch
 and openvswitch-controller.

Package: openvswitch-switch
Architecture: linux-any
Suggests: openvswitch-datapath-module
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, openvswitch-common (= ${binary:Version}), module-init-tools, procps, uuid-runtime, netbase
Description: Open vSwitch switch implementations
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 openvswitch-switch provides the userspace components and utilities for
 the Open vSwitch kernel-based switch.  

Package: openvswitch-ipsec
Architecture: linux-any
Depends:
 ${shlibs:Depends}, ${misc:Depends}, python,
 ipsec-tools (>=0.8~alpha20101208), 
 racoon (>=0.8~alpha20101208),
 openvswitch-common (= ${binary:Version}),
 openvswitch-switch (= ${binary:Version}),
 python-openvswitch (= ${source:Version})
Description: Open vSwitch GRE-over-IPsec support
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 The ovs-monitor-ipsec script provides support for encrypting GRE
 tunnels with IPsec.

Package: openvswitch-pki
Architecture: all
Depends:
 ${misc:Depends}, openvswitch-common (>= ${source:Version}),
 openvswitch-common (<< ${source:Version}.1~)
Description: Open vSwitch public key infrastructure dependency package
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 openvswitch-pki provides PKI (public key infrastructure) support for
 Open vSwitch switches and controllers, reducing the risk of
 man-in-the-middle attacks on the Open vSwitch network infrastructure.

Package: openvswitch-controller
Architecture: linux-any
Depends:
 ${shlibs:Depends}, openvswitch-common (= ${binary:Version}),
 openvswitch-pki (= ${source:Version}), ${misc:Depends}
Description: Open vSwitch controller implementation
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 The Open vSwitch controller enables OpenFlow switches that connect to it
 to act as MAC-learning Ethernet switches.

Package: openvswitch-brcompat
Architecture: linux-any
Depends:
 ${shlibs:Depends}, openvswitch-switch (= ${binary:Version}), ${misc:Depends}
Recommends: bridge-utils
Description: Open vSwitch bridge compatibility support
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 openvswitch-brcompat provides a way for applications that use the
 Linux bridge to gradually migrate to Open vSwitch.  Programs that
 ordinarily control the Linux bridge module, such as "brctl", instead
 control the Open vSwitch kernel-based switch.
 .
 Once this package is installed, adding BRCOMPAT=yes in
 /etc/default/openvswitch-switch enables bridge compatibility.

Package: openvswitch-dbg
Section: debug
Architecture: linux-any
Depends:
 ${shlibs:Depends}, ${misc:Depends},
 openvswitch-common (= ${binary:Version}),
 openvswitch-controller (= ${binary:Version}),
 openvswitch-ipsec (= ${binary:Version}),
 openvswitch-switch (= ${binary:Version})
Description: Debug symbols for Open vSwitch packages
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 This package contains the debug symbols for all the other openvswitch-*
 packages.  Install it to debug one of them or to examine a core dump
 produced by one of them.

Package: python-openvswitch
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}
Description: Python bindings for Open vSwitch
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 This package contains the full Python bindings for Open vSwitch database.

Package: ovsdbmonitor
Architecture: all
Section: utils
Depends: ${python:Depends}, python-openvswitch, ${misc:Depends}
Description: Open vSwitch graphical monitoring tool
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 This package is a GUI tool for monitoring and troubleshooting local
 or remote Open vSwitch installations.  It presents GUI tables that
 graphically represent an Open vSwitch kernel flow table (similar to
 "ovs-dpctl dump-flows") and Open vSwitch database contents (similar
 to "ovs-vsctl list <table>").

Package: openvswitch-test
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-twisted-web, python (>= 2.7) | python-argparse
Description: Open vSwitch test package
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 This package contains utilities that are useful to diagnose
 performance and connectivity issues in Open vSwitch setup.
