## openvswitch 1.4.6

=== debian/changelog ===
openvswitch (1.4.6-0ubuntu1.12.04.5) precise; urgency=medium

  * Openstack + ovs 1.4.6-0ubuntu1.12.04.4 + kernels 3.2.0-70 and newer crash
    on first gre traffic. (LP: #1466978)

 -- Dave Chiluk <chiluk@canonical.com>  Fri, 19 Jun 2015 16:22:09 -0500

openvswitch (1.4.6-0ubuntu1.12.04.4) precise; urgency=medium

  * Update: d/p/0010-datapath_ip_select_ident_fix.patch:
    Fix stable kernel changes to ip_select_ident. (LP: #1379201)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Fri, 10 Oct 2014 14:31:19 -0500

openvswitch (1.4.6-0ubuntu1.12.04.3) precise; urgency=low

  * d/p/0011-netdev-linux-Get-carrier-from-ioctl-instead-of-sysfs.patch:
    d/p/0012-netdev-linux-Cache-flags-using-netlink.patch:
    Fix latency issues between VMs using OVS. (LP: #1280370)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Fri, 14 Feb 2014 12:38:07 -0600

openvswitch (1.4.6-0ubuntu1.12.04.2) precise; urgency=low

  * d/p/0010-datapath_ip_select_ident_fix.patch: linux commit 703133de changes
    the first parameter of ip_select_ident from iph to skb (LP: #1262692)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Wed, 08 Jan 2014 13:36:14 -0600

openvswitch (1.4.6-0ubuntu1.12.04.1) precise-proposed; urgency=low

  * New upstream point release (LP: #1219788, #1134103):
    - Dropped patches, included upstream:
      + update_odputil_key_bytes.patch
      + fix_ftbfs_big_endian.patch
      + lp1044318-Reset-upper-layer-protocol-info.patch
      + ofproto-Rate-limit-STP-status-errors-on-non-existent-ports.patch
    - Sync selected packaging updates from upstream packaging:
      + d/openvswitch-switch.logrotate: Use '-t' instead of '--t' when
        notifying daemons to rotate logs.
      + d/openvswitch-switch.init,openvswitch-switch.postinst,rules:
        Ensure package installs don't fail due to missing openvswitch module.
      + d/rules: Only provide --with-build-number option to configure
        if its actually being used.
      + d/openvswitch-switch.README.Debian: OpenvSwitch is now usable
        from first install; drop information about configuration before
        startup.
      + d/openvswitch-pki.{postinst,postrm,dirs},
        d/openvswitch-controller.postinst: Update PKI directory
        /usr/share/openvswitch -> /var/lib/openvswitch inline with
        upstream codebase, ensure existing installs are transitioned.
      + d/ovs-monitor-ipsec: Correctly detect IPSEC configuration changes.
  * d/watch: Add watch file for easier upstream release tracking.
  * d/control,d/tests: Add DEP-8 tests from raring packaging.

 -- James Page <james.page@ubuntu.com>  Tue, 03 Sep 2013 13:19:30 +0100

openvswitch (1.4.0-1ubuntu1.6) precise-proposed; urgency=low

  * Ensure that STP error messages for non-existent ports don't flood
    syslog (LP: #1134103):
    - d/p/ofproto-Rate-limit-STP-status-errors-on-non-existent-ports.patch:
      Cherry picked fix from upstream VCS which rate-limits STP error
      messages.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jul 2013 13:13:04 +0100

openvswitch (1.4.0-1ubuntu1.5) precise-proposed; urgency=high

  * Fix broken brcompat module due to circular DKMS build dependency
    causing brcompat.o to be excluded from module (LP: #1125611):
    - d/p/0009-datapath-rename-brcompat.c-to-brcompat_main.c.patch:
      Cherry picked fix from upstream VCS which renames brcompat.c ->
      brcompat_main.c to support drop of _mod suffix.

 -- James Page <james.page@ubuntu.com>  Sat, 16 Feb 2013 13:12:54 +0000

openvswitch (1.4.0-1ubuntu1.4) precise-proposed; urgency=low

  * Fix compatibility with 3.5 kernel (LP: #1116382):
    - d/p/000*.patch: Cherry picked fixes from upstream VCS for kernel 3.5
      support, including removing the _mod suffix from DKMS built modules.
    - d/dkms.conf.in,rule.modules: Drop _mod suffix from built modules.
  * Ensure DKMS modules are automatically re-built with kernel upgrades
    (LP: #962189):
    - d/dkms.conf.in: Use AUTOINSTALL=yes.

 -- James Page <james.page@ubuntu.com>  Wed, 06 Feb 2013 09:41:27 +0000
