=== debian/control ===
Source: openvswitch
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
Uploaders: Ben Pfaff <pfaffben@debian.org>, Simon Horman <horms@debian.org>
Build-Depends:
 debhelper (>= 5), autoconf (>= 2.64), automake (>= 1.10) | automake1.10, 
 libssl-dev, pkg-config (>= 0.21), po-debconf, bzip2, openssl,
 python (>= 2.6.6-3), procps, python-qt4,
 python-zopeinterface, python-twisted-conch
Standards-Version: 3.9.2
Homepage: http://openvswitch.org/
XS-Testsuite: autopkgtest

Package: openvswitch-datapath-source
Architecture: all
Depends: module-assistant, bzip2, debhelper (>= 5.0.37), ${misc:Depends}
Suggests: openvswitch-switch
Description: Open vSwitch datapath module source - module-assistant version
 This package provides the Open vSwitch datapath module source code
 that is needed by openvswitch-switch.  The kernel module can be built
 from it using module-assistant or make-kpkg.  README.Debian in this
 package provides further instructions.
 .
 Open vSwitch is a full-featured software-based Ethernet switch.

Package: openvswitch-datapath-dkms
Architecture: all
Depends: dkms (>= 1.95), make, ${misc:Depends}
Description: Open vSwitch datapath module source - DKMS version
 This package provides the Open vSwitch datapath module source code
 that is needed by openvswitch-switch.  DKMS can built the kernel
 module from it.

Package: openvswitch-common
Architecture: linux-any
Depends:
 ${shlibs:Depends}, openssl, ${misc:Depends}, python,
 python (>= 2.7) | python-argparse
Suggests: ethtool
Description: Open vSwitch common components
 openvswitch-common provides components required by both openvswitch-switch
 and openvswitch-controller.
 .
 Open vSwitch is a full-featured software-based Ethernet switch.

Package: openvswitch-switch
Architecture: linux-any
Recommends: openvswitch-datapath-dkms
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, openvswitch-common (= ${binary:Version}), module-init-tools, procps, uuid-runtime
Description: Open vSwitch switch implementations
 openvswitch-switch provides the userspace components and utilities for
 the Open vSwitch kernel-based switch.  
 .
 Open vSwitch is a full-featured software-based Ethernet switch.

Package: openvswitch-ipsec
Architecture: linux-any
Depends:
 ${shlibs:Depends}, ${misc:Depends}, python,
 ipsec-tools (>=0.8~alpha20101208), 
 racoon (>=0.8~alpha20101208),
 openvswitch-common (= ${binary:Version}),
 openvswitch-switch (= ${binary:Version}),
 python-openvswitch (= ${source:Version})
Description: Open vSwitch GRE-over-IPsec support
 The ovs-monitor-ipsec script provides support for encrypting GRE
 tunnels with IPsec.
 .
 Open vSwitch is a full-featured software-based Ethernet switch.

Package: openvswitch-pki
Architecture: all
Depends:
 ${misc:Depends}, openvswitch-common (>= ${source:Version}),
 openvswitch-common (<< ${source:Version}.1~)
Description: Open vSwitch public key infrastructure dependency package
 openvswitch-pki provides PKI (public key infrastructure) support for
 Open vSwitch switches and controllers, reducing the risk of
 man-in-the-middle attacks on the Open vSwitch network infrastructure.
 .
 Open vSwitch is a full-featured software-based Ethernet switch.

Package: openvswitch-controller
Architecture: linux-any
Depends:
 ${shlibs:Depends}, openvswitch-common (= ${binary:Version}),
 openvswitch-pki (= ${source:Version}), ${misc:Depends}
Description: Open vSwitch controller implementation
 The Open vSwitch controller enables OpenFlow switches that connect to it
 to act as MAC-learning Ethernet switches.
 .
 Open vSwitch is a full-featured software-based Ethernet switch.

Package: openvswitch-brcompat
Architecture: linux-any
Depends:
 ${shlibs:Depends}, openvswitch-switch (= ${binary:Version}), ${misc:Depends}
Recommends: bridge-utils
Description: Open vSwitch bridge compatibility support
 openvswitch-brcompat provides a way for applications that use the
 Linux bridge to gradually migrate to Open vSwitch.  Programs that
 ordinarily control the Linux bridge module, such as "brctl", instead
 control the Open vSwitch kernel-based switch.
 .
 Once this package is installed, adding BRCOMPAT=yes in
 /etc/default/openvswitch-switch enables bridge compatibility.
 .
 Open vSwitch is a full-featured software-based Ethernet switch.

Package: openvswitch-dbg
Section: debug
Architecture: linux-any
Depends:
 ${shlibs:Depends}, ${misc:Depends},
 openvswitch-common (= ${binary:Version}),
 openvswitch-controller (= ${binary:Version}),
 openvswitch-ipsec (= ${binary:Version}),
 openvswitch-switch (= ${binary:Version})
Description: Debug symbols for Open vSwitch packages
 This package contains the debug symbols for all the other openvswitch-*
 packages.  Install it to debug one of them or to examine a core dump
 produced by one of them.

Package: python-openvswitch
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}
Description: Python bindings for Open vSwitch
 This package contains the full Python bindings for Open vSwitch database.

Package: ovsdbmonitor
Architecture: all
Section: utils
Depends: ${python:Depends}, python-openvswitch, ${misc:Depends}
Description: Open vSwitch graphical monitoring tool
 This package is a GUI tool for monitoring and troubleshooting local
 or remote Open vSwitch installations.  It presents GUI tables that
 graphically represent an Open vSwitch kernel flow table (similar to
 "ovs-dpctl dump-flows") and Open vSwitch database contents (similar
 to "ovs-vsctl list <table>").
 .
 Open vSwitch is a full-featured software-based Ethernet switch.

Package: openvswitch-test
Architecture: all
Depends: ${misc:Depends}, python-twisted-web, python (>= 2.7) | python-argparse
Description: Open vSwitch test package
 This package contains utilities that are useful to diagnose
 performance and connectivity issues in Open vSwitch setup.
 .
 Open vSwitch is a full-featured software-based Ethernet switch.
