=== debian/rules ===
--- 
+++ 
@@ -37,8 +37,6 @@
 BUILD_NUMBER_OPTION = --with-build-number=$(BUILD_NUMBER)
 endif
 
-export DEB_BUILD_HARDENING=1
-
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
@@ -50,7 +48,6 @@
 		test -e Makefile || \
 		../configure --prefix=/usr --localstatedir=/var --enable-ssl \
 			--sysconfdir=/etc $(BUILD_NUMBER_OPTION) \
-			--with-dbdir=/var/lib/openvswitch \
 			CFLAGS="$(CFLAGS)" $(DATAPATH_CONFIGURE_OPTS))
 	touch configure-stamp
 
@@ -81,7 +78,6 @@
 	rm -rf _debian
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean 
-	rm -f python/ovs/*.pyc python/ovs/db/*.pyc
 
 install: install-indep install-arch
 install-indep: build-indep
@@ -106,16 +102,6 @@
 
 	# Prepare dkms.conf from the dkms.conf.in template
 	sed "s/__VERSION__/$(DEB_UPSTREAM_VERSION)/g" debian/dkms.conf.in > debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)/dkms.conf
-
-	# We don't need the debian folder in there, just upstream sources...
-	rm -rf debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)/debian
-	# We don't need the rhel stuff in there either
-	rm -rf debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)/rhel
-	# And we should also clean useless license files, which are already
-	# descriped in our debian/copyright anyway.
-	rm -f debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)/COPYING \
-		debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)/ovsdb/ovsdbmonitor/COPYING \
-		debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)/xenserver/LICENSE
 
 install-arch: build-arch
 	dh_testdir
