## openvswitch 1.9.0~git20130207.84b39f2

=== debian/changelog ===
openvswitch (1.9.0~git20130207.84b39f2-0ubuntu2) raring; urgency=low

  * Add DEP-8 tests for dkms, module-assistant and openflow. 

 -- James Page <james.page@ubuntu.com>  Sun, 17 Feb 2013 20:40:09 +0000

openvswitch (1.9.0~git20130207.84b39f2-0ubuntu1) raring; urgency=low

  * New upstream snapshot from 1.9 branch:
    - d/p/support-linux-3.8.patch,
      d/p/linux-Makefile.main.in-acinclude-preparation-for-lin.patch:
      Dropped as included upstream.
  * Fix dependencies for ovsdbmonitor (LP: #1098324):
    - d/control: Add dependency on python-twisted-conch.
  * d/control: Bumped Standards-Version, no changes.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Feb 2013 15:32:38 +0000

openvswitch (1.9.0~git20130115.ca71f5b-0ubuntu2) raring; urgency=low

  * Fix typo in debian/openvswitch-controller.default (LP: #1094556).

 -- Logan Rosen <logatronico@gmail.com>  Thu, 17 Jan 2013 19:24:45 +0000

openvswitch (1.9.0~git20130115.ca71f5b-0ubuntu1) raring; urgency=low

  * New upstream snapshot based on branch-1.9:
    - d/patches: Dropped all previous patches as all found upstream.
    - d/*: Synced packaging with upstream packaging changes.
    - d/control: Add libtool to BD's to support use of snapshot.
  * Fix compatibility with Linux 3.8 (LP: #1098650):
    - d/p/support-linux-3.8.patch:
      Accept Linux 3.8 as a compatible kernel version.
    - d/p/linux-Makefile.main.in-acinclude-preparation-for-lin.patch:
      Adjust autoconf checks to correctly detect new kernel header file names.
  * Fix python test issues caused by long UNIX socket paths:
    - d/p/handle-unix-socket-long-paths.patch:
      Workaround long UNIX socket paths by using /proc/self/fd on Linux.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Jan 2013 11:22:40 +0000

openvswitch (1.4.3-0ubuntu2) quantal-proposed; urgency=low

  * Re-enable the openvswitch-datapath-dkms package to enable support
    for gre tunnels between virtual switches which is not supported
    in the kernel provided openvswitch module (LP: #1068365). 
    - d/patches/0001->0008*.patch: Cherry picked patches from upstream
      trunk which enable support for the 3.5 linux kernel and align
      dkms module naming with kernel module naming.
    - d/dkms.conf.in: Drop _mod postfix from dkms module names.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Oct 2012 17:24:17 +0200
